%define _altdata_dir %_datadir/alterator

Name: alterator-squid
Version: 0.4
Release: alt2.M41.7

Packager: Grigory Batalov <bga@altlinux.ru>

BuildArch: noarch

Source:%name-%version.tar

Summary: alterator module for Squid
License: GPL
Group: System/Configuration/Other
Requires: alterator >= 3.9-alt8.M41.3 squid alterator-sh-functions >= 0.8-alt0.M41.1
Requires: alterator-services
Conflicts: alterator-fbi < 2.11-alt0.M41.2

BuildPreReq: alterator >= 3.9-alt8.M41.3
BuildPreReq: alterator-fbi >= 2.11-alt0.M41.2
BuildPreReq: alterator-l10n >= 0.16-alt3.M41.9

# Automatically added by buildreq on Mon Jul 11 2005 (-bi)
BuildRequires: alterator

%description
alterator module for Squid

%prep
%setup -q

%build
%make_build

%install
%makeinstall
%find_lang %name

%files -f %name.lang
%_altdata_dir/applications/*
%_altdata_dir/help/*/*
%_altdata_dir/templates/*
%_alterator_backend3dir/*

%changelog
* Wed Jan 28 2009 Vladislav Zavjalov <slazav@altlinux.org> 0.4-alt2.M41.7
- rebuild with new alterator-l10n

* Mon Dec 08 2008 Vladislav Zavjalov <slazav@altlinux.org> 0.4-alt2.M41.5
- cherry-pick from master:
  - resurrect default settings tuning (fix #11657 again ;) )

* Fri Dec 05 2008 Vladislav Zavjalov <slazav@altlinux.org> 0.4-alt2.M41.4
- use help from l10n, rebuild

* Fri Nov 07 2008 Vladislav Zavjalov <slazav@altlinux.org> 0.4-alt2.M41.3
- fix label, rebuild with new alterator-l10n

* Mon Oct 13 2008 Vladislav Zavjalov <slazav@altlinux.org> 0.4-alt2.M41.2
- type -> constraints

* Mon Oct 13 2008 Vladislav Zavjalov <slazav@altlinux.org> 0.4-alt2.M41.1
- merge with master

* Mon Oct 13 2008 Stanislav Ievlev <inger@altlinux.org> 0.4-alt3
- fix requires

* Fri Oct 10 2008 Stanislav Ievlev <inger@altlinux.org> 0.4-alt2
- add unit-tests

* Fri Sep 26 2008 Stanislav Ievlev <inger@altlinux.org> 0.4-alt1
- rewrite backend and UI

* Mon Aug 11 2008 Stanislav Ievlev <inger@altlinux.org> 0.3-alt1
- update html templates:
   * replace template-* backend with modern schema
   * remove <h1> and <title>
   * move design to /usr/share/alterator/design
- update build system:
   * use global support for awk based backends
   * use module.awk

* Tue Jun 17 2008 Grigory Batalov <bga@altlinux.ru> 0.2-alt15
- Require alterator-services instead of alterator-chkconfig.

* Mon Jun 09 2008 Grigory Batalov <bga@altlinux.ru> 0.2-alt13.M41.1
- Backport to branch 4.1.

* Fri Jun 06 2008 Grigory Batalov <bga@altlinux.ru> 0.2-alt14
- Replace label tag with a translation on the help page.

* Wed May 28 2008 Grigory Batalov <bga@altlinux.ru> 0.2-alt12.M41.1
- Update translations.
- Update service restart link.
- Backport to branch 4.1.

* Tue Mar 04 2008 Vladislav Zavjalov <slazav@altlinux.org> 0.2-alt12
- Change help paths to the new style.

* Wed Aug 15 2007 Grigory Batalov <bga@altlinux.ru> 0.2-alt11
- Help content updated.

* Mon Aug 06 2007 Grigory Batalov <bga@altlinux.ru> 0.2-alt10
- Switch to new menu system.

* Tue May 22 2007 Grigory Batalov <bga@altlinux.ru> 0.2-alt9
- Backend rewritten in Awk.
- Site blacklist added.
- Cache manager password added.

* Wed May 02 2007 Grigory Batalov <bga@altlinux.ru> 0.2-alt8
- Accept acl our_networks if not yet (fix #11657).

* Sat Apr 28 2007 Grigory Batalov <bga@altlinux.ru> 0.2-alt7
- Ukrainian localization (tanks to Serhii Hlodin). 

* Wed Apr 25 2007 Grigory Batalov <bga@altlinux.ru> 0.2-alt6
- Add link for service configuration.
- Update for recent CSS.

* Wed Apr 11 2007 Grigory Batalov <bga@altlinux.ru> 0.2-alt5
- Constraints on listen host/port.
- Check if range mask is numerical.

* Wed Apr 11 2007 Grigory Batalov <bga@altlinux.ru> 0.2-alt4
- Reload service on write command too.
- Constraint on domain.

* Tue Apr 03 2007 Grigory Batalov <bga@altlinux.ru> 0.2-alt3
- Reload service after new/delete action.
- Constraint on network range.
- Listen and networks table headers were translated.
- Documentation updated (by kirill@).

* Thu Mar 29 2007 Grigory Batalov <bga@altlinux.ru> 0.2-alt2
- Documentation included.

* Mon Mar 26 2007 Grigory Batalov <bga@altlinux.ru> 0.2-alt1
- Russian translation was added.
- Store allowed networks in separate file.

* Wed Mar 14 2007 Grigory Batalov <bga@altlinux.ru> 0.1-alt1
- Initial release


